## edu.stanford.nlp.trees
Class BobChrisTreeNormalizer.EmptyFilter

    java.lang.Object
      edu.stanford.nlp.trees.BobChrisTreeNormalizer.EmptyFilter

All Implemented Interfaces:
  Filter<Tree>, Serializable

Enclosing class:
  BobChrisTreeNormalizer

    public static class BobChrisTreeNormalizer.EmptyFilter

extends Object
implements Filter<Tree>

See Also:
  Serialized Form

Constructor Summary
`BobChrisTreeNormalizer.EmptyFilter()`

Method Summary
`boolean` `accept(Tree t)` Doesn't accept nodes that only cover an empty.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BobChrisTreeNormalizer.EmptyFilter

    public BobChrisTreeNormalizer.EmptyFilter()

Method Detail

### accept

    public boolean accept(Tree t)

  Doesn't accept nodes that only cover an empty.

  Specified by:
    `accept` in interface `Filter<Tree>`
  Parameters:
    `t` - an object to test

Stanford NLP Group